<!--
IGAC proyecto SNC

@author david.cifuentes
@version 1.0
@description 	Ventana de confirmación para cargar una fotografía asociada al componente de la unidad 
                de un modelo de construcción.
                Este archivo es una copia del archivo confirmaciónCargarFotografia de juan.agudelo, su 
                comportamiento varia acorde a los tipos de datos usados en modelos de construcción.
-->
<h:form xmlns="http://www.w3.org/1999/xhtml"
        xmlns:ui="http://java.sun.com/jsf/facelets"
        xmlns:f="http://java.sun.com/jsf/core"
        xmlns:h="http://java.sun.com/jsf/html"
        xmlns:p="http://primefaces.org/ui"
        id="confirmacionCargarFotoCompUnidadDelModeloForm">

    <p:spacer height="10" width="0" />
    <h:panelGrid columns="2">
        <h:outputText id="m1" value="#{proyectarConservacion.mensajeFotos}"
                      styleClass="outputTextStyle" />
        <p:spacer height="10" width="0" />
    </h:panelGrid>
    <p:separator />

    <p:spacer height="10" width="0" />
    <h:panelGrid columns="2">

        <p:commandButton id="corregirBoton" value="Corregir datos"
                         update="@form, :msgFotoCompUM" icon="ui-icon-arrowreturnthick-1-w"
                         disabled="#{proyectarConservacion.errorConfirmarDatosCargarFotografia}"
                         onclick="confirmarCargaFotoCompUnidadDelModeloWV.hide()" />

        <p:commandButton id="aceptarBoton" value="Aceptar"
                         update="@form, :msgFotoCompUM, :detalleUnidadDelModeloDeConstruccionForm:panelConstruccionesDelModelo"
                         disabled="#{!proyectarConservacion.errorConfirmarDatosCargarFotografia}"
                         icon="ui-icon-check"
                         onclick="confirmarCargaFotoCompUnidadDelModeloWV.hide(), gestionarFotografiasUnidadDelModeloWV.hide()"
                         action="#{proyectarConservacion.terminarGuardadoFotoCompUnidadDelModelo}" />
    </h:panelGrid>
</h:form>